# MariaDB Cluster Backups

This is a simple module that supports listing existing MariaDB Cluster backups

## Example Syntax

```yaml

    - name: List MariaDB Cluster Backups
        mariadb_cluster_backup_info:
            mariadb_cluster: backuptest-04
        register: mariadb_backups_response

    - name: Show MariaDB Cluster Backups
        debug:
            var: mariadb_backups_response.result

```

&#x20;

&#x20;

## Returned object

```json
{
    "changed": false,
    "mariadb_backups": [
        {
            "id": "745d661a-4b9a-4970-94c5-8aab9062ea35",
            "properties": {
                "cluster_id": "745d661a-4b9a-4970-94c5-8aab9062ea35",
                "earliest_recovery_target_time": "2024-03-19T14:35:39+00:00",
                "size": 1,
                "base_backups": [
                    {
                        "created": "2024-03-19T14:35:39+00:00",
                        "size": 1
                    }
                ]
            }
        }
    ],
    "failed": false
}

```

&#x20;

### For more examples please check out the tests [here](https://github.com/ionos-cloud/module-ansible/tree/master/tests/dbaas-mariadb).

&#x20;

### Available parameters:

&#x20;

<table data-full-width="true"><thead><tr><th>Name</th><th align="center">Required</th><th>Description</th></tr></thead><tbody><tr><td>mariadb_cluster<br><mark style="color:blue;">str</mark></td><td align="center">False</td><td>The ID or name of an existing MariaDB Cluster.</td></tr><tr><td>location<br><mark style="color:blue;">str</mark></td><td align="center">False</td><td>The location from which to retrieve clusters and backups. Different service endpoints are used based on location, possible options are: "de/fra", "de/txl", "es/vit", "fr/par", "gb/lhr", "us/ewr", "us/las", "us/mci". If not set, the endpoint will be the one corresponding to "de/txl".</td></tr><tr><td>filters<br><mark style="color:blue;">dict</mark></td><td align="center">False</td><td>Filter that can be used to list only objects which have a certain set of properties. Filters should be a dict with a key containing keys and value pair in the following format: 'properties.name': 'server_name'</td></tr><tr><td>api_url<br><mark style="color:blue;">str</mark></td><td align="center">False</td><td>The Ionos API base URL.</td></tr><tr><td>certificate_fingerprint<br><mark style="color:blue;">str</mark></td><td align="center">False</td><td>The Ionos API certificate fingerprint.</td></tr><tr><td>username<br><mark style="color:blue;">str</mark></td><td align="center">False</td><td>The Ionos username. Overrides the IONOS_USERNAME environment variable.</td></tr><tr><td>password<br><mark style="color:blue;">str</mark></td><td align="center">False</td><td>The Ionos password. Overrides the IONOS_PASSWORD environment variable.</td></tr><tr><td>token<br><mark style="color:blue;">str</mark></td><td align="center">False</td><td>The Ionos token. Overrides the IONOS_TOKEN environment variable.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/ansible/api/dbaas-mariadb/info-modules/mariadb_backup_info.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
